# 가입자 유형 선택 (/docs/api/assignmentsessions/setAssignmentSessionSubscriberType)
**POST /v1/assignment-sessions/{token}/subscriber-type**
```json
{
  "operationId": "setAssignmentSessionSubscriberType",
  "summary": "가입자 유형 선택",
  "tags": [
    "AssignmentSessions"
  ],
  "security": [],
  "parameters": [
    {
      "name": "token",
      "in": "path",
      "required": true,
      "description": "발급 링크에 포함된 1회용 고엔트로피 세션 토큰",
      "schema": {
        "type": "string",
        "minLength": 32
      }
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "additionalProperties": false,
          "required": [
            "subscriberType"
          ],
          "properties": {
            "subscriberType": {
              "type": "string",
              "enum": [
                "individual",
                "corporate"
              ]
            }
          }
        },
        "example": {
          "subscriberType": "individual"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "저장 완료",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "ok"
            ],
            "properties": {
              "ok": {
                "type": "boolean"
              }
            }
          }
        }
      }
    },
    "403": {
      "description": "관리번호 외부 발급 애드온 비활성"
    },
    "404": {
      "description": "세션을 찾을 수 없음"
    },
    "409": {
      "description": "이미 사용된 세션"
    },
    "410": {
      "description": "만료 또는 취소된 세션"
    },
    "422": {
      "description": "입력 검증 실패"
    }
  }
}
```